// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.conf);
importPackage(Packages.com.silverwrist.venice.ui.helpers);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

if (!(comm.canManageConferences()))
{ // can't manage conferences, bail out
  vlib.output(new ErrorBox("Access Error","You are not permitted to manage conferences in this community.",
			   "conf/conferences.js.vs?cc=" + comm.communityID));
  vlib.done();

} // end if

// get the current conference
currc = new CurrentConference(rinput);
conf = currc.getConference(true,"conf/manage.js.vs?cc=" + comm.communityID);

if (!(conf.canChangeConference()))
{ // you can't fiddle with this conference
  vlib.output(new ErrorBox("Access Error","You do not have permission to modify this conference.",
                           "conf/manage.js.vs?cc=" + comm.communityID));
  vlib.done();

} // end if

// get the flag value
hide_flag = (rinput.getParameterInt("flag",0)==1);

rc = null;
try
{ // set the hide flag
  conf.hideList = hide_flag;

  // trap back to the manage display
  rc = new Redirect("conf/manage.js.vs?cc=" + comm.communityID,LinkTypes.SERVLET);

} // end try
catch (e)
{ // handle errors here
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error setting hide flag: " + e.message,
                      "conf/manage.js.vs?cc=" + comm.communityID);
  else if (etype.match("AccessError"))
    rc = new ErrorBox("Access Error",e.message,"conf/manage.js.vs?cc=" + comm.communityID);
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done!
